package com.zcloud.modules.custormerInfo.service.impl;
 import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
 import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
 import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
 import com.zcloud.common.utils.PageUtils;
 import com.zcloud.modules.custormerInfo.dao.BusCustomerinfoRequireDao;
 import com.zcloud.modules.custormerInfo.entity.BusCustomerinfoRequireEntity;
 import com.zcloud.modules.custormerInfo.service.BusCustomerinfoRequireService;
 import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

 import java.util.List;
 import java.util.Map;

/**
 * @Author zhangQiHang
 * @Desc 客户课程要求(BusCustomerinfoRequire)表服务实现类
 * @Date 2025-05-09 09:13:51
 */
@Service("busCustomerinfoRequireService")
public class BusCustomerinfoRequireServiceImpl extends ServiceImpl<BusCustomerinfoRequireDao, BusCustomerinfoRequireEntity> implements BusCustomerinfoRequireService {

    @Override
	public BusCustomerinfoRequireEntity queryByFlexibleParams(String paramName, Object paramValue) {
		QueryWrapper<BusCustomerinfoRequireEntity> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq(paramName, paramValue); // 根据传入的参数名和参数值动态构建查询条件

		return baseMapper.selectOne(queryWrapper);
	}

	@Override
	public List<BusCustomerinfoRequireEntity> queryListByFlexibleParams(String paramName, Object paramValue) {
		QueryWrapper<BusCustomerinfoRequireEntity> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq(paramName, paramValue); // 根据传入的参数名和参数值动态构建查询条件

		return baseMapper.selectList(queryWrapper);
	}

    @Override
    public PageUtils listPage(Map<String, Object> params) {
        Page<Map<String,Object>> page = new Page<>(Integer.parseInt(params.get("curPage").toString()),Integer.parseInt(params.get("limit").toString()));
        params.put("isDelete",0);
        IPage<BusCustomerinfoRequireEntity> ipage = baseMapper.listPage(page,params);
        return new PageUtils(ipage);
    }


   @Override
	public void delete(String customerinfoRequireId,String userId){
		UpdateWrapper<BusCustomerinfoRequireEntity> updateWrapper = new UpdateWrapper<>();
		updateWrapper.eq("customerinfo_require_id",customerinfoRequireId);

		BusCustomerinfoRequireEntity busCustomerinfoRequire = new BusCustomerinfoRequireEntity();
		busCustomerinfoRequire.setOperator(userId);
		busCustomerinfoRequire.setIsDelete(1);

		this.update(busCustomerinfoRequire, updateWrapper);
	}
}
